import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/router";
/**
 * Responsible for adding Library configuration as a provider in the root,
 * so that all library modules can use it, if needed. This module should be imported in App module with .forRoot().
 * @date 17/3/2022 - 7:58:51 pm
 *
 * @export
 * @class AppConfigModule
 * @typedef {AppConfigModule}
 */
export declare class AppConfigModule {
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AppConfigModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AppConfigModule, never, [typeof i1.CommonModule, typeof i2.RouterModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AppConfigModule>;
}
